% Modelagem de queda livre com atrito

% Parametros do modelo
g=9.8;
c=0.01;

% Condicoes iniciais e passo
t0 = 0;             % tempo inicial
tf = 10;            % tempo final
h = 0.01;           % passo de tempo

x0 = 0;             % posicao inicial
y0 = 0;             % velocidade inicial 
z0 = [x0,y0];

% Definindo a equacao diferencial
F = @(t,z) queda_com_atrito(t,z,g,c);

% Escolhendo o método de integração
Metodo = 4;

% Resolvendo usando Metodo Escolhido
if Metodo == 1 % Metodo de Euler
    z = Euler(t0,tf,h,z0,F);
        
elseif Metodo == 4 % Metodo de Heun 
    z = Heun(t0,tf,h,z0,F);

elseif Metodo == 5 % Metodo RK3 
    z = RK3(t0,tf,h,z0,F);
    
elseif Metodo == 6 % Metodo RK4
    z = RK4(t0,tf,h,z0,F);
end

% Representacao grafica dos resultados
figure; plot(z(:,1),z(:,2))

figure; plot(z(:,1))

figure; plot(z(:,2))

z(end,:)


